Skip to main content
GET
/
v1
/
chains
/
allTransactions
cURL
curl --request GET \
  --url https://glacier-api.avax.network/v1/chains/allTransactions \
  --header 'x-glacier-api-key: <api-key>'
import requests

url = "https://glacier-api.avax.network/v1/chains/allTransactions"

headers = {"x-glacier-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-glacier-api-key': '<api-key>'}};

fetch('https://glacier-api.avax.network/v1/chains/allTransactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactions": [
    {
      "blockNumber": "<string>",
      "blockTimestamp": 123,
      "blockHash": "<string>",
      "chainId": "<string>",
      "blockIndex": 123,
      "txHash": "<string>",
      "txStatus": "<string>",
      "txType": 123,
      "gasLimit": "<string>",
      "gasUsed": "<string>",
      "gasPrice": "<string>",
      "nonce": "<string>",
      "from": {
        "address": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "logoUri": "<string>"
      },
      "to": {
        "address": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "logoUri": "<string>"
      },
      "value": "<string>",
      "method": {
        "methodHash": "<string>",
        "methodName": "<string>"
      }
    }
  ],
  "nextPageToken": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}

Authorizations

x-glacier-api-key
string
header
required

Api keys provide higher access to rate limits. To obtain an api key, sign up for an account at https://avacloud.io/.

Query Parameters

pageToken
string

A page token, received from a previous list call. Provide this to retrieve the subsequent page.

pageSize
integer
default:10

The maximum number of items to return. The minimum page size is 1. The maximum pageSize is 100.

Required range: 1 <= x <= 100
network
enum<string>

Either mainnet or testnet/fuji.

Available options:
mainnet,
fuji,
testnet
status
enum<string>

A status filter for listed transactions.

Available options:
failed,
success

Response

Successful response

transactions
object[]
required
nextPageToken
string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted or empty, there are no subsequent pages.